<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<th:block th:include="include :: header('档案管理')" />
	<th:block th:include="include :: layout-latest-css" />
	<th:block th:include="include :: ztree-css" />
</head>
<body class="gray-bg">

	<div class="ui-layout-center">
		<div class="container-div">
			<div class="row">

				<div class="col-sm-12 select-table table-striped" style="width: 100%; overflow-x: hidden;">
					<table id="bootstrap-table" class="fixed-layout-table"></table>
				</div>
			</div>
		</div>
	</div>

	<th:block th:include="include :: footer" />
	<th:block th:include="include :: layout-latest-js" />
	<th:block th:include="include :: bootstrap-table-fixed-columns-js" />
	<th:block th:include="include :: ztree-js" />
	<script th:inline="javascript">
		var editFlag = [[${@permission.hasPermi('dtp:RecipeRegister:edit')}]];
		var removeFlag = [[${@permission.hasPermi('dtp:RecipeRegister:remove')}]];
		var prefix = ctx + "dtp/pmService";
		$(function() {
		    var panehHidden = false;
		    if ($(this).width() < 1590) {
		        panehHidden = true;
		    }
		    $('body').layout({ initClosed: panehHidden, west__size: 185, resizeWithWindow: false });
	     	// 回到顶部绑定
	    	if ($.fn.toTop !== undefined) {
	    		var opt = {
	    			win:$('.ui-layout-center'),
	    			doc:$('.ui-layout-center')
	    		};
	    		$('#scroll-up').toTop(opt);
	    	}
			queryArchivesList();
		});

		function queryArchivesList() {
		    var options = {
		        url: prefix + "/archivesList",
		        viewUrl: prefix + "/archivesView/{id}",
		        createUrl: prefix + "/archivesAdd",
		        updateUrl: prefix + "/archivesEdit/{id}",
		        removeUrl: prefix + "/archivesRemove",
		        /*exportUrl: prefix + "/export",
		        importUrl: prefix + "/importData",
		        importTemplateUrl: prefix + "/importTemplate",*/
		        sortName: "id",
		        sortOrder: "asc",
		        modalName: "用药购药信息",
				fitColumns: true,
				striped: true,
				autoRowHeight: true,
				rowNumbers: true,
				showFooter:true,  //是否显示表格底部区域。
				clickToSelect: true, //是否启用点击行时选中整行的功能。
                singleSelect: false, //是否仅允许选择一行
				fixedColumns: true,
				//fixedNumber: 3,
				fixedRightNumber: 1,
		        columns: [
					{
						checkbox: true
					},
				{field: 'name', title: '姓名', align: 'center'},
				{field: 'gender', title: '性别', align: 'center'},
				{field: 'age', title: '年龄', align: 'center'},
				{field: 'phoneNumber', title: '手机号', align: 'center'},
				{field: 'documentType', title: '证件类型', align: 'center'},
				{field: 'documentNumber', title: '证件号码', align: 'center'},
				{field: 'realNameStatus', title: '实名状态', align: 'center'},
				{field: 'flipStatus', title: '上翻状态', align: 'center'},
				{field: 'disease', title: '疾病', align: 'center'},
				{field: 'genericName', title: '药品通用名', align: 'center'},
				{field: 'productName', title: '商品名', align: 'center'},
				{field: 'mdmCode', title: 'MDM编码', align: 'center'},
				{field: 'manufacturer', title: '厂家', align: 'center'},
				{field: 'storeName', title: '门店', align: 'center'},
				{field: 'archiveCreator', title: '档案创建人', align: 'center'},
				{field: 'archiveCompleter', title: '档案完善人', align: 'center'},
				{field: 'acceptFollowUp', title: '是否接受随访', align: 'center'},
				{field: 'followUpPerson', title: '随访跟进人', align: 'center'},
				{field: 'archiveCompleteStatus', title: '档案是否完善', align: 'center'},
				{field: 'charityAssistance', title: '有无慈善援助', align: 'center'},
				{field: 'joinProject', title: '是否参加共建项目', align: 'center'},
				{field: 'followUpStatus', title: '随访状态', align: 'center'},
				{field: 'updateTime2', title: '更新时间', align: 'center'},
		        {
		            title: '操作',
		            align: 'center',
		            formatter: function(value, row, index) {
		                if (row.id) {
		                	var actions = [];
			                actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="javascript:void(0)" onclick="$.operate.editTab(\'' + row.id + '\')"><i class="fa fa-edit"></i>查看用药购药详情</a> ');
			             return actions.join('');
		            	} else {
		                    return "";
		                }
		            }
		        }]
		    };
		    $.table.init(options);
		}

		/* 自定义重置-表单重置/隐藏框/树节点选择色/搜索 */
		function resetPre() {
			resetDate();
			$("#archives-form")[0].reset();
			$("#deptId").val("");
			$("#parentId").val("");
			$(".curSelectedNode").removeClass("curSelectedNode");
			$.table.search();
			_refresh();
		}

		/* 用户状态显示 */
		function statusTools(row) {
		    if (row.status == 1) {
    			return '<i class=\"fa fa-toggle-off text-info fa-2x\" onclick="enable(\'' + row.userId + '\')"></i> ';
    		} else {
    			return '<i class=\"fa fa-toggle-on text-info fa-2x\" onclick="disable(\'' + row.userId + '\')"></i> ';
    		}
		}
	</script>
</body>

</html>
